Package rdkit :: Package Chem :: Package EState :: Module EState_VSA

[hide private]
[frames] | no frames]

# Module EState_VSA

source code

    Hybrid EState-VSA descriptors (like the MOE VSA descriptors)

Functions | [hide private]

VSA_EState_(mol, bins=None, force=1) *Internal Use Only*... | source code

EState_VSA_(mol, bins=None, force=1) *Internal Use Only*... | source code

_InstallDescriptors() | source code

Variables | [hide private]

| vsaBins = `[4.78, 5.00, 5.410, 5.740, 6.00, 6.07, 6.45, 7.00, 1`...``
| estateBins = `[-0.390, 0.290, 0.717, 1.165, 1.540, 1.807, 2.05,`...``

Imports: numpy, EStateIndices_, VSAContribs_, bisect

Function Details | [hide private]

### VSA_EState_(mol, bins=None, force=1)

source code

    *Internal Use Only*

### EState_VSA_(mol, bins=None, force=1)

source code

    *Internal Use Only*

Variables Details | [hide private]

### vsaBins

Value:

      [4.78, 5.00, 5.410, 5.740, 6.00, 6.07, 6.45, 7.00, 11.0]

### estateBins

Value:

      [-0.390, 0.290, 0.717, 1.165, 1.540, 1.807, 2.05, 4.69, 9.17, 15.0]